I wanted to try WordPress 3.2 beta but realized that it requires at least PHP 5.2 and I’m still with 5.1.6 (the one that comes with CentOS). Here’s what I got from the interwebs.

Step 1: Get webtatic PHP 5.3 Repository
rpm -Uvh http://repo.webtatic.com/yum/centos/5/latest.rpm

Step 2: Update PHP
yum --enablerepo=webtatic update php

Step 3: Verify PHP version
php -v

Expected result should be like below

PHP 5.3.6 (cli) (built: Mar 19 2011 08:30:07)
Copyright (c) 1997-2011 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2011 Zend Technologies

*** NOTE ***
Though webstatic stated that the repository is created for CentOS 64bit, it still worked for my 32-bit installation.

Source:
http://www.webtatic.com/packages/php53/

Comments are closed.

Post Navigation